# oc_front

OpenCloud flutter frontend. 

## Getting Started

This project is a starting point for a Flutter application.

A few resources to get you started if this is your first Flutter project:

- [Lab: Write your first Flutter app](https://docs.flutter.dev/get-started/codelab)
- [Cookbook: Useful Flutter samples](https://docs.flutter.dev/cookbook)

For help getting started with Flutter development, view the
[online documentation](https://docs.flutter.dev/), which offers tutorials,
samples, guidance on mobile development, and a full API reference.

## Install for local development 

### Install flutter
Our flutter version (in dockerfile & during development) is set to : 3.19.6
FLUTTER SDK PATH : /usr/local/flutter
- With snap (linux only) : `sudo snap install flutter --classic`
- With git (windows + linux) : 
        `git clone https://github.com/flutter/flutter.git -b <FLUTTER VERSION> <FLUTTER SDK PATH>`
        `export PATH="$PATH:<FLUTTER SDK PATH>/bin:<FLUTTER SDK PATH>/bin/cache/dart-sdk/bin"`

### Install flutter project dependencies

At the root of the project : 
- `flutter clean`
- `flutter pub get`

OR 

    make linux-traefik
    | make linux

## Run 

### Run locally (dev mode)

At the root of the project : `flutter run`

### Run containerized with Docker (aligned with OC stack)
For development purpose open a chrome without CORS : `google-chrome --disable-web-security`
At the root of the project :
    - `docker build . -t oc-front` 
    if localisation services change : `docker build -t oc-front --build-arg WORKSPACE_HOST=<SERVICE URL> --build-arg WORKFLOW_HOST=<SERVICE URL> --build-arg SEARCH_HOST=<SERVICE URL> --build-arg CATALOG_HOST=<SERVICE URL> .`

    - `docker-compose up -d --build --force-recreate` 

## HELP
sudo apt install libwebkit2gtk-4.0-dev