import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';

abstract class AbstractFactory {
  GlobalKey getKey();
  Widget factory(GoRouterState state, List<String> args);
  bool searchFill();
  void search(BuildContext context, bool special);
  String? getSearch();
  void back(BuildContext context);
}