import 'package:flutter/material.dart';
import 'package:oc_front/core/services/api_service.dart';
import 'package:oc_front/core/services/specialized_services/abstract_service.dart';
import 'package:oc_front/models/resources/resources.dart';
import 'package:oc_front/models/response.dart';

class DatacenterService extends AbstractService<Resource> {
  @override late final APIService<Resource> service;

  DatacenterService() {
    service = APIService<Resource>(
        baseURL: const String.fromEnvironment("HOST", defaultValue: "http://localhost:8000") + super.conf.get('DATACENTER_HOST',
            defaultValue: '/datacenter'));
  }
  @override String subPath = "/";

  @override Future<APIResponse<Resource>> search(BuildContext? context, List<String> words, Map<String, dynamic> params) {  
    return throw UnimplementedError();
  }

  @override Future<APIResponse<Resource>> post(BuildContext? context, Map<String, dynamic> body, Map<String, String> params) { 
    return throw UnimplementedError();
  }
  @override Future<APIResponse<Resource>> put(BuildContext? context, String id, Map<String, dynamic> body, Map<String, String> params) { 
    return throw UnimplementedError();
  }
}