import 'package:oc_front/core/services/api_service.dart';
import 'package:oc_front/core/services/specialized_services/abstract_service.dart';
import 'package:oc_front/models/workspace.dart';

class WorkspaceService extends AbstractService<Workspace> {
  @override
  late final APIService<Workspace> service;

  @override
  String subPath = "/";

  WorkspaceService() {
    service = APIService<Workspace>(
        baseURL: const String.fromEnvironment("HOST", defaultValue: "http://localhost:8000") + super.conf.get('WORKSPACE_HOST',
            defaultValue: '/workspace'));
  }
}
