
import 'package:flutter/material.dart';
import 'package:oc_front/models/resources/resources.dart';

// ignore: must_be_immutable
class InfosWidget extends StatefulWidget {
  AbstractItem item;
  InfosWidget ({ super.key, required this.item });
  @override InfosWidgetState createState() => InfosWidgetState();
}
class InfosWidgetState extends State<InfosWidget> {
  @override Widget build(BuildContext context) {
    List<Widget> children = [];
    var obj = widget.item.infos();
    for (var key in obj.keys) {
      children.add(
        Padding(padding: const EdgeInsets.symmetric(vertical: 20, horizontal: 100),
          child: Text("$key : ${obj[key] ?? "no $key"}", 
          style: const TextStyle(fontSize: 15, fontWeight: FontWeight.w600))),
      );
    }
    return Wrap( children: children);
  } 
}