#!/bin/bash

WORKSPACE_HOST='http://localhost:8089/oc'
WORKFLOW_HOST='http://localhost:8088/oc'
CATALOG_HOST='http://localhost:8087/oc'
SCHEDULER_HOST='http://localhost:8090/oc'
PEER_HOST='http://localhost:8093/oc'
COLLABORATIVE_AREA_HOST='http://localhost:8091/oc'
AUTH_HOST='http://localhost:8094/oc'
DATACENTER_HOST='http://localhost:8092/oc'

AUTH_MODE=true

flutter run -d linux --dart-define=AUTH_MODE=$AUTH_MODE --dart-define=DATACENTER_HOST=$DATACENTER_HOST --dart-define=AUTH_HOST=$AUTH_HOST --dart-define=WORKSPACE_HOST=$WORKSPACE_HOST --dart-define=WORKFLOW_HOST=$WORKFLOW_HOST --dart-define=PEER_HOST=$PEER_HOST --dart-define=COLLABORATIVE_AREA_HOST=$COLLABORATIVE_AREA_HOST --dart-define=SCHEDULER_HOST=$SCHEDULER_HOST --dart-define=CATALOG_HOST=$CATALOG_HOST 